<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Document</title>
    <script type="text/javascript">
        var a=[1,2,3,4,5,6];
        
        function checkPositive(a1){
            
            var r=0;
            r=a1.every(function(v){

                return v>=0;

            });

            if (r){
                return "todos positivos";
            }else{
                return "algun negativo"
            }


           
        };
        
        console.log(checkPositive(a));






    </script>
</head>

<body>
    <main>
        <header>
            <h1>Ejemplo 9</h1>
        </header>
        <section>
            <header>
                <h2>Enunciado</h2>
            </header>
            <article>
                Crear una funcion que te compruebe si un array que le pases tiene todos sus numeros positivos. Para realizarla quiero que utiliceis el metodo every de Javascript.
            </article>
        </section>
    </main>
</body>
</html>